# Uses of Interface
org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyHandlerProvider

Packages that use ICSSPropertyHandlerProvider
Package
Description
org.eclipse.e4.ui.css.core.dom.properties.providers
org.eclipse.e4.ui.css.core.impl.engine

## Uses of ICSSPropertyHandlerProvider in org.eclipse.e4.ui.css.core.dom.properties.providers

Classes in org.eclipse.e4.ui.css.core.dom.properties.providers that implement ICSSPropertyHandlerProvider
Modifier and Type
Class
Description
`class`
`AbstractCSSPropertyHandlerProvider`
Abstract CSS Property handler.
`class`
`CSSPropertyHandlerLazyProviderImpl`
CSS property handler with lazy strategy.
`class`
`CSSPropertyHandlerSimpleProviderImpl`
CSS property handler with static strategy.

## Uses of ICSSPropertyHandlerProvider in org.eclipse.e4.ui.css.core.impl.engine

Classes in org.eclipse.e4.ui.css.core.impl.engine that implement ICSSPropertyHandlerProvider
Modifier and Type
Class
Description
`class`
`RegistryCSSPropertyHandlerProvider`
Fields in org.eclipse.e4.ui.css.core.impl.engine with type parameters of type ICSSPropertyHandlerProvider
Modifier and Type
Field
Description
`protected List<ICSSPropertyHandlerProvider>`
CSSEngineImpl.`propertyHandlerProviders`
An ordered list of ICSSPropertyHandlerProvider
Methods in org.eclipse.e4.ui.css.core.impl.engine with parameters of type ICSSPropertyHandlerProvider
Modifier and Type
Method
Description
`void`
CSSEngineImpl.`registerCSSPropertyHandlerProvider(ICSSPropertyHandlerProvider handlerProvider)`
`void`
CSSEngineImpl.`unregisterCSSPropertyHandlerProvider(ICSSPropertyHandlerProvider handlerProvider)`